The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]



"Технический комитет отклонил план по прекращению поддержки BIOS в Fedora "
Вариант для распечатки  
Пред. тема | След. тема 
Форум Разговоры, обсуждение новостей
Изначальное сообщение [ Отслеживать ]

"Технический комитет отклонил план по прекращению поддержки BIOS в Fedora "  +/
Сообщение от opennews (??), 27-Апр-22, 18:54 
На заседании комитета FESCo (Fedora Engineering Steering Committee), отвечающего за техническую часть разработки дистрибутива Fedora Linux, отклонено предложенное для релизации в Fedora Linux 37 изменение, переводящее поддержку UEFI в разряд обязательных требований для установки дистрибутива на платформе x86_64. Вопрос о прекращении поддержки BIOS отложен и вероятно разработчики вернуться  к нему при подготовке выпуска Fedora Linux 38...

Подробнее: https://www.opennet.ru/opennews/art.shtml?num=57096

Ответить | Правка | Cообщить модератору

Оглавление

Сообщения [Сортировка по времени | RSS]


2. "Технический комитет отклонил план по прекращению поддержки B..."  +9 +/
Сообщение от Аноним (2), 27-Апр-22, 18:58 
Технический комитет отклонил план по прекращению поддержки Fedora в BIOS.
Ответить | Правка | Наверх | Cообщить модератору

3. "Технический комитет отклонил план по прекращению поддержки B..."  –4 +/
Сообщение от Аноним (3), 27-Апр-22, 19:02 
А линукс никогда не поддерживался, из-за чего он превратился в набор костылей. Некоторые производители (тот же Гигабайт) прямо посылают подальше с линуксом, другие поумнее, но никогда не спешили адекватные прошивки выкатывать.
Ответить | Правка | Наверх | Cообщить модератору

7. "Технический комитет отклонил план по прекращению поддержки B..."  –1 +/
Сообщение от НяшМяш (ok), 27-Апр-22, 19:15 
Например, Dell известен своей хорошей поддержкой линухов, только вот ядро ругается чем-то типа подобным:

kernel: ACPI: [Firmware Bug]: BIOS _OSI(Linux) query ignored

Проверяет ли ядро содержание этой секции, или просто на всякий случай игнорирует её для любого производителя - не знаю. Ноутбук и так отлично работает, зачем тратить время на это.

Ответить | Правка | Наверх | Cообщить модератору

9. "Технический комитет отклонил план по прекращению поддержки B..."  –1 +/
Сообщение от Аноним (3), 27-Апр-22, 19:19 
Даже когда все кнопки и камеры с блютусами чудом работают, это может выливаться в отсутствие корректной поддержки управления питанием или косяками экрана/подсветки, из-за чего показатели энергопотребления будет далеки от желаемых. У Делла помниться были какие-то специальные лаптопы специальных моделей со специальными прошивками, поддерживавшие линукс, это не любые модели.
Ответить | Правка | Наверх | Cообщить модератору

20. "Технический комитет отклонил план по прекращению поддержки B..."  +1 +/
Сообщение от Аноним (-), 27-Апр-22, 20:31 
Да вообще обычно все перечисленное таки работает. Но - далеко не сразу после выхода модели, когда глюки кривого ACPI пропатчат вгружаемыми оверлеями делающими за вендора его работу нормаьлно.

И так то оно и в винде вылезает, на многие ноуты нереально поставить винду отличную от той с которй он поставлялся. Дров или нет, или никто не тестировал как это работает - и работает черти как. Или никак. Можно подумать линукс особенный какой-то в этом. Проблемы софтоклепательства у всех одинаковые.

Ответить | Правка | Наверх | Cообщить модератору

70. "Технический комитет отклонил план по прекращению поддержки B..."  +/
Сообщение от Аноним (70), 28-Апр-22, 20:01 
> на многие ноуты нереально поставить винду отличную от той с которй он поставлялся

За последние 15 лет ни разу с таким ни сталкивался ни на асусах, ни на азерах, ни у леновы, ни у хапуг (которые HP), ни у тошибы. У ненужникса - да, ситуация когда половина железа поддерживается условно, а вторая не поддерживается вообще вполне штатная независимо от сорта (aka дристрибутива) этого самого ненужникса ибо различаются они между собой только обоями, а ведро везде одно и то же.

Ответить | Правка | Наверх | Cообщить модератору

89. "Технический комитет отклонил план по прекращению поддержки B..."  +/
Сообщение от adolfus (ok), 03-Май-22, 21:11 
Почему сразу хапуг? Три месяца назад менял ноутбук и ничего кроме HP (Z BOOK), чтобы был нормальный набор портов не нашел. Или сетевого порта нет, или HDMI. Либо то и другое есть, но поддержка линукса не гарантируется, а то и еще хуже -- при установке ОС, отличной от установленной на заводе, теряется гарантия. А тут ноут идет без ОС (Free DOS) -- бери ставь что хочешь и это прописано в мануале.
За 20 лет много ноутов мимо прошло и только у HP было все нормально с установкой и работой линукса.
Ответить | Правка | Наверх | Cообщить модератору

11. "Технический комитет отклонил план по прекращению поддержки B..."  +2 +/
Сообщение от Z (??), 27-Апр-22, 19:21 
> ядро ругается

Если копнуть лог поглубже, то можно узреть тонны ошибок, особенно с ACPI. Далеко не каждая стационарная материнка НОРМАЛЬНО поддерживает что-то помимо винды, в большинстве случаев будет что-то не работать типа спидстепа, глючного "сна" и т.п. Про ноуты вообще молчу.

Ответить | Правка | К родителю #7 | Наверх | Cообщить модератору

16. "Технический комитет отклонил план по прекращению поддержки B..."  –2 +/
Сообщение от пох. (?), 27-Апр-22, 19:40 
О, да, отличная поддержка, просто потрясающая.

Кто ж знал, что если на poweredge (ценой, на минуточку, в десяток-другой зарплат здешних "аналитиков") написано "ubuntu 16 certified" - это надо читать как написано и не фантазировать.

В смысле не пытаться ставить туда хотя бы поддерживаемую версию. Сказали тебе - 16!

Ответить | Правка | К родителю #7 | Наверх | Cообщить модератору

21. "Технический комитет отклонил план по прекращению поддержки B..."  +2 +/
Сообщение от Аноним (-), 27-Апр-22, 20:35 
Понимаешь, на poweredge ценой в дохрена и винда может встать далеко не любая. А чего доброго только вон та и с конкретным сервиспаком. Если тебе вдруг захочется что-то иное - читай system requirements, там написано. И дрова на вон тот контроллер имеют полное право не взлететь на другом сервиспаке. А то что ты не хотел более 9000 общеизвестных уязвимостей - твои проблемы, и вообще, вон тот чип уже целые 3 месяца с конвеера снят - производителю не интересно драйвер для тебя кодить. Купи другой сервер, с следующей ревизией чипа, получишь драйвер.
Ответить | Правка | Наверх | Cообщить модератору

57. "Технический комитет отклонил план по прекращению поддержки B..."  +/
Сообщение от пох. (?), 28-Апр-22, 12:26 
> Понимаешь, на poweredge ценой в дохрена и винда может встать далеко не любая.

что-то я от коллег такой матерщины не слышал. И нет, 2008ю они туда вроде не ставили.

> вдруг захочется что-то иное - читай system requirements, там написано

я с другой стороны амбразуры - я HCL читаю. Всферовский. Там все как обычно - ставится и работает ("только сапгредните вот то и вот это и еще вооон то, что из обычной учетки и не скачивается даже, нужно тикет в саппорте открывать или интегратора-сервисника просить прислать" - ну эт как обычно)

Правда, потом падает в блевотнорозовый экран смерти, фикс опять же - поапгрейдить прошивку, но вообще-то можно отключить вооон там (а обрабатывать такую ситуацию самим драйвером - не для китайского мозга на ножке, разумеется).

Но с другой стороны, если б оно так не делало - могли бы и сократить ставку...

Ответить | Правка | Наверх | Cообщить модератору

49. "Технический комитет отклонил план по прекращению поддержки B..."  +1 +/
Сообщение от Ivan_83 (ok), 28-Апр-22, 08:46 
Потому ACPI код от производителя зашиваемый в биос - набор какакода от джунов индусов.

Если у тебя не указано что у тебя Windows2015 или может уже более новый то тебе при загрузке отрубает часть фич железа.
По крайней мере у асусовского ноута на райзене так было, я там возился с декомпиляций ACPI и потом опять компиляцией. (оно ещё обратно не компилилось без форса потому что там вообще ошибка синтаксиса в оригинале)
Теперь у меня все фряхи сообщают ACPI коду что OS называется Windows2015 и это снимает кучу воспросов автоматом.

Ответить | Правка | К родителю #7 | Наверх | Cообщить модератору

51. "Технический комитет отклонил план по прекращению поддержки B..."  +1 +/
Сообщение от leap42 (ok), 28-Апр-22, 10:50 
> А линукс никогда не поддерживался, из-за чего он превратился в набор костылей. Некоторые производители (тот же Гигабайт) прямо посылают подальше с линуксом, другие поумнее, но никогда не спешили адекватные прошивки выкатывать.

Зацени анон changelog одного из биосов моей материнки:

https://www.asus.com/Motherboards-Components/Motherboards/TU.../

Version 1814
2019/09/09 9.5 MBytes
TUF B450M-PRO GAMING BIOS 1814
1.Improve system performance.
2.Update AM4 Combo PI 1.0.0.3 Patch ABB
a.Fixes a compatibility issue with Destiny 2
b.Fixes an issue with certain Linux distros
c.Removes Gen 4 support when using Ryzen 3000 CPUs
3.Improves EZFlash performance to reduce boot time.

"Устранение проблемы с некоторыми дистрибутивами Linux"

Видел как исчезают ошибки из dmesg после обновления bios и у других вендоров, в т.ч. Gigabyte (не к ночи будет упомянут).

Ответить | Правка | К родителю #3 | Наверх | Cообщить модератору

58. "Технический комитет отклонил план по прекращению поддержки B..."  +/
Сообщение от Ivan_83 (ok), 28-Апр-22, 12:49 
Вы и сами это можете исправить, достаточно декомпилировать ACPI код, поправить что надо, собрать обратно и начать юзать собранное вместо того что в биосе.
Или просто указать что у вас венда современной версии драйверу ACPI.
Ответить | Правка | Наверх | Cообщить модератору

74. "Технический комитет отклонил план по прекращению поддержки B..."  +/
Сообщение от leap42 (ok), 29-Апр-22, 08:07 
> Вы и сами это можете исправить, достаточно декомпилировать ACPI код, поправить что
> надо, собрать обратно и начать юзать собранное вместо того что в
> биосе.
> Или просто указать что у вас венда современной версии драйверу ACPI.

Так все баги уже поправили в моём железе. Я кстати "acpi_osi=Linux" использую, т.к. в кернельной багзилле есть несколько упоминаний о повышении стабильности для систем на базе Ryzen.

Ответить | Правка | Наверх | Cообщить модератору

72. "Технический комитет отклонил план по прекращению поддержки B..."  +1 +/
Сообщение от анончик (?), 28-Апр-22, 21:38 
> a.Fixes a compatibility issue with Destiny 2

меня тут больше другое заинтересовало - как это они патчат одну конкретную игру с помощью бивиса?

Ответить | Правка | К родителю #51 | Наверх | Cообщить модератору

73. "Технический комитет отклонил план по прекращению поддержки B..."  +/
Сообщение от leap42 (ok), 29-Апр-22, 08:04 
>> a.Fixes a compatibility issue with Destiny 2
> меня тут больше другое заинтересовало - как это они патчат одну конкретную
> игру с помощью бивиса?

Это признанный баг в AGESA, просто он проявлялся чаще всего в одной игре.

Ответить | Правка | Наверх | Cообщить модератору

5. "Технический комитет отклонил план по прекращению поддержки B..."  +2 +/
Сообщение от Аноним (5), 27-Апр-22, 19:07 
биос vs. уефи - это как иксы vs. вяленый :) вроде что-то новое сделали, но не работает.
Ответить | Правка | Наверх | Cообщить модератору

6. "Технический комитет отклонил план по прекращению поддержки B..."  +15 +/
Сообщение от амоним (?), 27-Апр-22, 19:09 
странно, все компы в мире уже 10 лет с уефи, а у амонима что-то не работает. может мозг?
Ответить | Правка | Наверх | Cообщить модератору

12. "Технический комитет отклонил план по прекращению поддержки B..."  –1 +/
Сообщение от Аноним (3), 27-Апр-22, 19:22 
А тут всё просто, bios и gpt я даже не встречал. Уже лет 15 примерно все без исключения компы с уефи. И 0 проблем кстати.
Ответить | Правка | Наверх | Cообщить модератору

46. "Технический комитет отклонил план по прекращению поддержки B..."  +/
Сообщение от kamaganemail (?), 28-Апр-22, 07:39 
Моему компу лет 12, там BIOS.
Ответить | Правка | Наверх | Cообщить модератору

8. "Технический комитет отклонил план по прекращению поддержки B..."  +/
Сообщение от амоним (?), 27-Апр-22, 19:16 
к слову wayland тоже внезапно работает... функций чуть меньше чем у иксов, но внезапно, все заявленое работает )
там что аноним дважду пустил газы, в одну и ту же лужу )
Ответить | Правка | К родителю #5 | Наверх | Cообщить модератору

19. "Технический комитет отклонил план по прекращению поддержки B..."  +/
Сообщение от ilyafedin (ok), 27-Апр-22, 20:24 
Ну кмк того, что заявлено как работающее мало для того, чтобы воланд назвать в принцип работающим (ведь на практике часто этого недостаточно).
Ответить | Правка | Наверх | Cообщить модератору

39. "Технический комитет отклонил план по прекращению поддержки B..."  +2 +/
Сообщение от ПомидорИзДолины (?), 28-Апр-22, 00:57 
Очень сильно зависит от задач. Для десктопа вашей мечты чего-то может и не хватать. Для встройки функционала хватает с избытком.

P.S. При следующем многочасовом перелете на современном авиалайнере, можете поинтересоваться, какой композитный менеджер используется в развлекательной системе.

Ответить | Правка | Наверх | Cообщить модератору

54. "Технический комитет отклонил план по прекращению поддержки B..."  +/
Сообщение от kusb (?), 28-Апр-22, 12:17 
DWM
Ответить | Правка | Наверх | Cообщить модератору

55. "Технический комитет отклонил план по прекращению поддержки B..."  +1 +/
Сообщение от Аноним (55), 28-Апр-22, 12:24 
Для встройки хватило бы и на фреймбуфере рисовать, мне бы тут десктоп, пожалуйста.
Ответить | Правка | К родителю #39 | Наверх | Cообщить модератору

14. "Технический комитет отклонил план по прекращению поддержки B..."  +3 +/
Сообщение от Z (??), 27-Апр-22, 19:27 
Если нет поддержки UEFI, то это древнее железо, а зачем на древнее железо устанавливать Fedora? Дистрибутив чуть ли не с самым свежим программным обеспечением, явно ориентированный на современное железо. Мой i7-8700 + 16gb + ssd nvme и то с трудом ворочается от обилия смузи-библиотек.
Ответить | Правка | Наверх | Cообщить модератору

17. "Технический комитет отклонил план по прекращению поддержки B..."  +2 +/
Сообщение от Саня (??), 27-Апр-22, 19:44 
Странно, а мой i5-3470 + 16GB c обычным SATA-шным 850-м самсунгом вполне шустро шевелится и не кряхтит...
Ответить | Правка | Наверх | Cообщить модератору

24. "Технический комитет отклонил план по прекращению поддержки B..."  –5 +/
Сообщение от Аноним (24), 27-Апр-22, 21:02 
это пока на работе не заставили накатить Дискорд/слак/мс тимс/мс актлук и прочие куски на джаве
Ответить | Правка | Наверх | Cообщить модератору

31. "Технический комитет отклонил план по прекращению поддержки B..."  +1 +/
Сообщение от не джава (?), 27-Апр-22, 22:41 
> Дискорд/слак/мс тимс/мс актлук и прочие куски на джаве

И что же из этого "на джаве"?

Ответить | Правка | Наверх | Cообщить модератору

56. "Технический комитет отклонил план по прекращению поддержки B..."  +1 +/
Сообщение от Аноним (55), 28-Апр-22, 12:25 
На джаве скрипт, конечно же!
Ответить | Правка | Наверх | Cообщить модератору

40. "Технический комитет отклонил план по прекращению поддержки B..."  +/
Сообщение от Аноним (40), 28-Апр-22, 01:10 
Ну не работай там, раз заставляют. Зачем себя мучать?
Ответить | Правка | К родителю #24 | Наверх | Cообщить модератору

28. "Технический комитет отклонил план по прекращению поддержки B..."  +3 +/
Сообщение от Аноним (28), 27-Апр-22, 22:22 
У тебя не может не быть uefi.
Ответить | Правка | К родителю #17 | Наверх | Cообщить модератору

60. "Технический комитет отклонил план по прекращению поддержки B..."  +/
Сообщение от НяшМяш (ok), 28-Апр-22, 13:31 
> У тебя не может не быть uefi.

Если материнка на 60 чипсете, то может и не быть. В то время как раз переход начался и некоторые производители выпускали обновление с UEFI (а некоторые забили). Уже с 70 чипсета поголовно пошли с UEFI.

Ответить | Правка | Наверх | Cообщить модератору

32. "Технический комитет отклонил план по прекращению поддержки B..."  +1 +/
Сообщение от Аноним (32), 27-Апр-22, 22:55 
а зачем устанавливать Fedora?
Ответить | Правка | К родителю #14 | Наверх | Cообщить модератору

90. "Технический комитет отклонил план по прекращению поддержки B..."  +/
Сообщение от adolfus (ok), 03-Май-22, 21:27 
Центось уважать себя заставила  -- ну, не убунту же устанавливать.
Ответить | Правка | Наверх | Cообщить модератору

41. "Технический комитет отклонил план по прекращению поддержки B..."  +/
Сообщение от mikhailnov (ok), 28-Апр-22, 01:20 
Реализации UEFI бывают настолько глючными, что проще работать в legacg, чем разбираться, как очистить nvram, бороться с efibootmgr и пр.
Ответить | Правка | К родителю #14 | Наверх | Cообщить модератору

47. "Технический комитет отклонил план по прекращению поддержки B..."  +/
Сообщение от ryoken (ok), 28-Апр-22, 07:51 
Да уж. Добыл занедорого Intel S5520SC - там ни один инсталлятор что венды что линуксов не может создать в NVRAM загрузочную запись. Спасибо, хоть руками делается. Ну и низкий поклон Роду Смиту за rEFInd, с которым запустить можно практически всё (а если порыться хорошо в конфиге - то и некоторое странное увидеть :) ). Хотя, казалось бы - производитель материнки является основателем и изобретателем EFI вообще как такового.
Ответить | Правка | Наверх | Cообщить модератору

77. "Технический комитет отклонил план по прекращению поддержки B..."  +/
Сообщение от n00by (ok), 29-Апр-22, 11:07 
Руками делается через efibootmgr и инсталлятор делает через efibootmgr, но у инсталлятора не получается? :) Ну вот этот mikhailnov как раз ведущий разработчик инсталлятора, который не мог дописать 10 строк в инсталлятор, потому в итоге тупо скопировал другой инстяллятор.
Ответить | Правка | Наверх | Cообщить модератору

53. "Технический комитет отклонил план по прекращению поддержки B..."  +/
Сообщение от Аноним (53), 28-Апр-22, 11:16 
А порой бывают настолько глючными, что после перехода в UEFI, назад в Legacy BIOS уже не вернешься. Привет Samsung'у!
Ответить | Правка | К родителю #41 | Наверх | Cообщить модератору

76. "Технический комитет отклонил план по прекращению поддержки B..."  –1 +/
Сообщение от n00by (ok), 29-Апр-22, 11:03 
Луче вспомни, как ты удалял initramfs от чужих операционок при обновлении systemd в Пока Линукс. Может и тут есть связь?
Ответить | Правка | К родителю #41 | Наверх | Cообщить модератору

80. "Технический комитет отклонил план по прекращению поддержки B..."  –1 +/
Сообщение от mikhailnov (ok), 29-Апр-22, 14:31 
> Луче вспомни, как ты удалял initramfs от чужих операционок при обновлении systemd
> в Пока Линукс. Может и тут есть связь?

Как всегда, ты лжешь и додумываешь. Не удалял, а мог пересобрать, если в ОС было бы установлено одноименное чужому ядро. Впрочем, с тобой и твоей лживой натурой все ясно, у тебя, наверное, спустя годы в памяти искажения происходят, захлебываешься собственными фантазией и злобой.

Ответить | Правка | Наверх | Cообщить модератору

81. "Технический комитет отклонил план по прекращению поддержки B..."  +/
Сообщение от n00by (ok), 30-Апр-22, 07:28 
>> Луче вспомни, как ты удалял initramfs от чужих операционок при обновлении systemd
>> в Пока Линукс. Может и тут есть связь?
> Как всегда, ты лжешь и додумываешь. Не удалял, а мог пересобрать, если
> в ОС было бы установлено одноименное чужому ядро.

Ещё раз соотнесём заявление ведущего баш-программиста с неумолимой действительностью:

$ ./initramfs-degenerator.sh
+ dracut --force /boot/initramfs-5.17.4-custom.img 5.17.4-custom
dracut: Executing: /usr/bin/dracut --force /boot/initramfs-5.17.4-custom.img 5.17.4-custom
dracut: No permission to write to /boot.
+ :

> Впрочем, с тобой
> и твоей лживой натурой все ясно, у тебя, наверное, спустя годы
> в памяти искажения происходят, захлебываешься собственными фантазией и злобой.

Ты согласился с моими доводами, исправил ошибку (грандиозным костылём, но тем не менее), благодаря моему труду кюшаешь, а теперь клевещешь на меня. Жаль, я не могу собственноручно наказать тебя за гнилой язык.


Ответить | Правка | Наверх | Cообщить модератору

83. "Технический комитет отклонил план по прекращению поддержки B..."  –1 +/
Сообщение от mikhailnov (ok), 30-Апр-22, 10:24 
Собственно, ты и доказал, что "Не удалял, а мог пересобрать".


[root@rosa2019 ~]# dracut --force /boot/initramfs-5.17.4-custom.img 5.17.4-custom
dracut: Cannot find module directory /lib/modules/5.17.4-custom/
dracut: and --no-kernel was not specified
[root@rosa2019 ~]# strace dracut --force /boot/initramfs-5.17.4-custom.img 5.17.4-custom 2>&1 | grep /boot/initramfs-5.17.4-custom.img
[root@rosa2019 ~]#

Как видишь, при отсутствии каталога с модулями ядра не доходит даже до проверки существования /boot/initramfs*.img.

Извини, что возбудил тебя столь сильно, немного поиграв словами в твоем стиле, но в отличие от тебя слова не выворачивал наизнанку.

Ответить | Правка | Наверх | Cообщить модератору

86. "Технический комитет отклонил план по прекращению поддержки B..."  –1 +/
Сообщение от n00by (ok), 02-Май-22, 08:17 
>[оверквотинг удален]
> dracut: Cannot find module directory /lib/modules/5.17.4-custom/
> dracut: and --no-kernel was not specified
> [root@rosa2019 ~]# strace dracut --force /boot/initramfs-5.17.4-custom.img 5.17.4-custom
> 2>&1 | grep /boot/initramfs-5.17.4-custom.img
> [root@rosa2019 ~]#
>
> Как видишь, при отсутствии каталога с модулями ядра не доходит даже до
> проверки существования /boot/initramfs*.img.
> Извини, что возбудил тебя столь сильно, немного поиграв словами в твоем стиле,
> но в отличие от тебя слова не выворачивал наизнанку.

Ещё раз. Ты изначально СОГЛАСИЛСЯ с доводами и ИСПРАВИЛ ошибку, о чём сам же написал в коммитах. Теперь, в отличие от меня, ты подменил версию dracut на более новую.

Почему я должен это искать за тебя, "автономный" разработчик? Потому что ты не умеешь кодить, или потому что ты брехун и крохобор, которого поймали за ручку?


From 106255afd46ea2be1d035aca0c5695186a3f2c41 Mon Sep 17 00:00:00 2001
From: Harald Hoyer <harald@redhat.com>
Date: Thu, 29 Jun 2017 17:09:29 +0200
Subject: [PATCH] bail out if module directory does not exist

this basically reverts commit 05214a0bedc084a41c35a128609745ad04a0c6cf

if people want to build the initramfs without kernel modules,
then --no-kernel should be specified
---
dracut.sh | 12 ++++++------
1 file changed, 6 insertions(+), 6 deletions(-)

diff --git a/dracut.sh b/dracut.sh
index 64d942019..4c4137986 100755
--- a/dracut.sh
+++ b/dracut.sh
@@ -621,12 +621,6 @@ if ! [[ $kernel ]]; then
     kernel=$(uname -r)
fi

-if [[ $kernel ]]; then
-    if ! [[ -d /lib/modules/$kernel ]] && [[ $no_kernel != yes ]]; then
-        printf -- "Kernel version $kernel has no module directory /lib/modules/$kernel\n" >&2
-    fi
-fi
-
export LC_ALL=C
export LANG=C
unset LC_MESSAGES
@@ -894,6 +888,12 @@ else
     exit 1
fi

+if [[ $no_kernel != yes ]] && ! [[ -d $srcmods ]]; then
+    printf "%s\n" "dracut: Cannot find module directory $srcmods" >&2
+    printf "%s\n" "dracut: and --no-kernel was not specified" >&2
+    exit 1
+fi
+
if ! [[ $print_cmdline ]]; then
     inst /bin/sh
     if ! $DRACUT_INSTALL ${initdir:+-D "$initdir"} -R "$initdir/bin/sh" &>/dev/null; then


Ответить | Правка | Наверх | Cообщить модератору

87. "Технический комитет отклонил план по прекращению поддержки B..."  +/
Сообщение от mikhailnov (ok), 02-Май-22, 13:54 
> Ты изначально СОГЛАСИЛСЯ с доводами и ИСПРАВИЛ ошибку

Да, я сделал так, чтоб в подобной ситуации не надеяться на особенности поведения dracut и признал, что не подумал о подобном случае - использовании общего у разных ОС раздела /boot.

> или потому что ты брехун и крохобор, которого поймали за ручку?

Ну ты б поменьше на себя надеялся что ли... Смотрим:

коммит в dracut, который ты привел выше: https://github.com/dracutdevs/dracut/commit/106255afd46ea2be... (29 Jun 2017 )
коммит в росином пакете dracut, сделанный после написания обсуждаемого скрипта: https://abf.io/import/dracut/commit/bafd0a5dfc74e7cb69d0b441...
Смотрим, какая версия dracut была на тот момент: https://abf.io/import/dracut/blob/bafd0a5dfc74e7cb69d0b4417e...
> dracut-20180112-git8b4b7dc5.tar.xz: 543878d9cade0df69402d5a6c0b7386fcc831b19

Смотрим коммит: https://github.com/dracutdevs/dracut/commit/8b4b7dc5
12 Jan 2018

Делаем вывод: указанный тобою коммит в коде в пакете dracut уже был. От дальнейших выводов постараюсь воздержаться.

Ответить | Правка | Наверх | Cообщить модератору

88. "Технический комитет отклонил план по прекращению поддержки B..."  +/
Сообщение от n00by (ok), 03-Май-22, 14:31 
>> Ты изначально СОГЛАСИЛСЯ с доводами и ИСПРАВИЛ ошибку
> Да, я сделал так, чтоб в подобной ситуации не надеяться на особенности
> поведения dracut и признал, что не подумал о подобном случае -
> использовании общего у разных ОС раздела /boot.

В своей зоне ответственности ты не подумал и потому ошибся. До указания на факт ошибки ты не мог как-либо полагаться на поведение dracut, поскольку такой сценарий ты вообще не рассматривал. Зато сейчас заявляешь, что ошибки у тебя не было, а только что-то гипотетическое. Ты до сих пор не заметил, что помимо dracut там ещё и update-initramfs. ;)

>> или потому что ты брехун и крохобор, которого поймали за ручку?
> Ну ты б поменьше на себя надеялся что ли... Смотрим:

Это ты второй раз за ответ надеешься, а у меня всё ходы записаны. Как и мои к тебе претензии, которые ты зачем-то вырезал: "Почему я должен это искать за тебя, "автономный" разработчик?" Смотрим сегодняшнее число. Сейчас самое время посмотреть на попытки объяснить, почему тебе повезло, ведь по факту выявления ошибки и так прокатило.

> коммит в dracut, который ты привел выше: https://github.com/dracutdevs/dracut/commit/106255afd46ea2be...
> (29 Jun 2017 )
> коммит в росином пакете dracut, сделанный после написания обсуждаемого скрипта: https://abf.io/import/dracut/commit/bafd0a5dfc74e7cb69d0b441...
> Смотрим, какая версия dracut была на тот момент: https://abf.io/import/dracut/blob/bafd0a5dfc74e7cb69d0b4417e...
>> dracut-20180112-git8b4b7dc5.tar.xz: 543878d9cade0df69402d5a6c0b7386fcc831b19
> Смотрим коммит: https://github.com/dracutdevs/dracut/commit/8b4b7dc5
> 12 Jan 2018
> Делаем вывод: указанный тобою коммит в коде в пакете dracut уже был.
> От дальнейших выводов постараюсь воздержаться.

Рекомендую всё же сделать правильный вывод. Весь твой код, что мне попадался на глаза - негодный, но иногда везёт. Это значит, что ошибки ты допускаешь систематически, а про мерфологию сейчас впервые услышал. Когда из-за твоих действий пострадают люди, для тебя не вариант соскочить с "я и не подозревал, что не умею кодить", ведь ты уже достаточно тут понаписал и даже сам себя убедил. Или ты надеешься, что будет отвечать QA, проповедующее "люди - неблагодарные свиньи"?

Ответить | Правка | Наверх | Cообщить модератору

82. "Технический комитет отклонил план по прекращению поддержки B..."  +/
Сообщение от n00by (ok), 30-Апр-22, 07:36 
> если в ОС было бы установлено одноименное чужому ядро.

Буквально:

list_of_img="$(find /boot -name 'initrd-*' -or -name 'initrd.img-*' -or -name 'initramfs-*' -or -name 'initramfs.img-*' | sort -u | tac)"

Ниже целиком код исключительно автономного разработчика. Ссылку на git лениво искать, тем более что на ссылки бот излишне активно реагирует, а позорники спамят мои сообщения жалобами.


#!/usr/bin/env bash
# Script to regenerate initramfs images, e.g. on systemd updates
# May also be called from other packages or scripts
# Why it was developed:
# https://bugzilla.rosalinux.ru/show_bug.cgi?id=9516
# License: GPLv3
# Upstream at https://abf.io/import/systemd
# Authors:
# - Mikhail Novosyolov <m.novosyolov@rosalinux.ru>, 2019

set -efu

if systemd-detect-virt --quiet --container && ! env | grep -q '^SKIP_GEN=' ; then
    SKIP_GEN=1
fi

if [ -f /etc/systemd-initramfs-gen.conf ]; then
    . /etc/systemd-initramfs-gen.conf
fi

DEBUG="${DEBUG:-0}"
NO_MSG="${NO_MSG:-0}"
SKIP_GEN="${SKIP_GEN:-0}"
MAX_KERNELS="${MAX_KERNELS:-5}"
GENERATOR="${GENERATOR:-dracut}"

if [ "$DEBUG" != 0 ]; then set -x; fi

if [ "$SKIP_GEN" = 1 ] ; then
# Note: we do have to regen initrd in chroot
# because chroots are often used in rescue purposes.
# But there is no need to spend time for this in containers
    if [ "$NO_MSG" != 0 ]; then exit 0; fi
    echo "Running in container; no need to (re)generate initramfs — it's not used in containers."
    echo "To force (re)generating initramfs run:"
    echo "# env SKIP_GEN=0 systemd-initramfs-gen"
    echo "and/or add SKIP_GEN=0 to /etc/systemd-initramfs-gen.conf to make it permanent."
    exit 0
fi

list_of_img="$(find /boot -name 'initrd-*' -or -name 'initrd.img-*' -or -name 'initramfs-*' -or -name 'initramfs.img-*' | sort -u | tac)"
num_of_img="$(echo "$list_of_img" | wc -l)"

if [ "$num_of_img" -gt "$MAX_KERNELS" ] && [ "$NO_MSG" != 0 ]; then
    echo "Initramfs for more than $MAX_KERNELS found. That's too many and will take too long."
    echo "Will regenerate initramfs only for $MAX_KERNELS latest kernels."
    echo "You may set MAX_KERNELS= in /etc/systemd-initramfs-gen.conf if you don't like this and rerun systemd-initramfs-gen."
fi

count=0
while read -r line
do
    count=$((count+1))
    if [ "$count" -gt "$MAX_KERNELS" ]; then break; fi
    kernel="$(echo "$line" | sed \
    -e 's,^/boot/initrd-,,' \
    -e 's,^/boot/initrd.img-,,' \
    -e 's,^/boot/initramfs-,,' \
    -e 's,^/boot/initramfs.img-,,' \
    -e 's,\.img$,,' \
    )"
    if [ -z "$kernel" ]; then continue; fi
    case "$GENERATOR" in
    dracut )
        ( set -x
        dracut --force "$line" "$kernel" || : )
    ;;
    update-initramfs )
        ( set -x
        update-initramfs -u -k "$kernel" || : )
    ;;
    * )
        echo "Unknown \$GENERATOR, set dracut or update-initramfs. Exiting."
        exit 1
    ;;
    esac
    unset kernel
done < <(echo "$list_of_img")


Ответить | Правка | К родителю #80 | Наверх | Cообщить модератору

15. "Технический комитет отклонил план по прекращению поддержки B..."  +/
Сообщение от Аноним (15), 27-Апр-22, 19:38 
О, редкий случай "здравый смысл восторжествовал".

Надеюсь, лет на 10 про этот бред забудут.

// b.

Ответить | Правка | Наверх | Cообщить модератору

18. "Технический комитет отклонил план по прекращению поддержки B..."  +4 +/
Сообщение от Аноним (18), 27-Апр-22, 20:03 
Ну наконец-то новость о том, что ничего не произошло!
Ответить | Правка | Наверх | Cообщить модератору

22. "Технический комитет отклонил план по прекращению поддержки B..."  +/
Сообщение от Анонус (?), 27-Апр-22, 20:47 
Что-то я не понял, биос можно прекратить поддерживать? Он же считывает первые там сколько-то байт не разбираясь и отваливает
Ответить | Правка | Наверх | Cообщить модератору

23. "Технический комитет отклонил план по прекращению поддержки B..."  +3 +/
Сообщение от Аноним (-), 27-Апр-22, 20:49 
А чо так не модно то? Срочно выпиливайтеп поддержку BIOS-а! Стопудово кто-то из старых пердунов пролобировал это. Наверное, какой-нибудь не прогрессвный, старый и не модный акционер.
Ответить | Правка | Наверх | Cообщить модератору

25. "Технический комитет отклонил план по прекращению поддержки B..."  +2 +/
Сообщение от Аноним (25), 27-Апр-22, 21:13 
Ну слава богу, а то достали уже эти дебилы-прогрессоры. Я лично являюсь целиком противоположной личностью. Все, что можно поддерживать - нужно поддерживать.
Ответить | Правка | Наверх | Cообщить модератору

26. "Технический комитет отклонил план по прекращению поддержки B..."  +/
Сообщение от Аноним (3), 27-Апр-22, 21:47 
За чей счёт банкет? Может, ты и оплатишь?
Ответить | Правка | Наверх | Cообщить модератору

27. "Технический комитет отклонил план по прекращению поддержки B..."  +1 +/
Сообщение от pashev.ru (?), 27-Апр-22, 22:22 
Например, за счёт коммитета. К чёрту эти заседания.
Ответить | Правка | Наверх | Cообщить модератору

29. "Технический комитет отклонил план по прекращению поддержки B..."  –2 +/
Сообщение от Аноним (28), 27-Апр-22, 22:28 
Ты лично в разработке какого свободного программного обеспечения участвуешь?
Тупые набросы в комментариях на opennet не считаются
Ответить | Правка | К родителю #25 | Наверх | Cообщить модератору

33. "Технический комитет отклонил план по прекращению поддержки B..."  +1 +/
Сообщение от Аноним (32), 27-Апр-22, 22:56 
сказал чел, который пальцем о палец ни разу не ударил
Ответить | Правка | К родителю #25 | Наверх | Cообщить модератору

30. "Технический комитет отклонил план по прекращению поддержки B..."  –1 +/
Сообщение от Аноним (30), 27-Апр-22, 22:35 
>учредить отдельную группу разработчиков - BIOS SIG (Special Interest Group), которая должна будет выработать план сохранения поддержки BIOS

Это отличное решение. Если поддержка bios кому-то нужна то люди собирутся в группу и обеспечат её поддержку.
Если нет, то лучи и реки поноса от комментаторов с opennet будут направлены не на разработчиков fedora, а на BIOS SIG.

Ответить | Правка | Наверх | Cообщить модератору

34. "Технический комитет отклонил план по прекращению поддержки B..."  +4 +/
Сообщение от Аноним (32), 27-Апр-22, 22:57 
лучи направлены на тебя, до сих пор ничего не сделавшего
Ответить | Правка | Наверх | Cообщить модератору

35. "Технический комитет отклонил план по прекращению поддержки B..."  +/
Сообщение от Аноним (30), 27-Апр-22, 23:11 
Потому что не могу.
У меня не получилось даже простое тестовое задание сделать для трудоустройства 😰
Ответить | Правка | Наверх | Cообщить модератору

78. "Технический комитет отклонил план по прекращению поддержки B..."  +/
Сообщение от n00by (ok), 29-Апр-22, 11:15 
Попробуйте в Пока Линукс. Что бы туда устроиться, надо не уметь исправить тривиальное переполнение стека в известной строке.
Ответить | Правка | Наверх | Cообщить модератору

36. "Технический комитет отклонил план по прекращению поддержки B..."  +/
Сообщение от borbacuca (ok), 27-Апр-22, 23:32 
дадада щаз бухгалтера принимают только при умении компилировать все версии линукса
Ответить | Правка | Наверх | Cообщить модератору

37. "Технический комитет отклонил план по прекращению поддержки B..."  +1 +/
Сообщение от Аноним (37), 28-Апр-22, 00:34 
"предлагается учредить отдельную группу разработчиков - BIOS SIG (Special Interest Group), которая должна будет выработать план сохранения поддержки BIOS и привлечь к его реализации заинтересованных лиц, которые могли бы взять на себя работу по сопровождению поддержки BIOS в загрузчике и установочных сборках, а также тестированию совместимости сборок Fedora с системами, оснащёнными BIOS. И бла-бла-бла"

Такое впечатление, что намерено наворачиваются какие-то речевые конструкции, дабы показать, что это пц как сложно, примерно на уровне изобретения новых технологий.

НЕТ, вам просто нужно поддерживать уже существующее, из этого всего нужно только тестирование на машинах с BIOS. А с учётом того, что не во всех дистрибутивах упоролись выкидывать поддержку материнок только с BIOS, то и поддерживать нужно будет не в одинокую, наоборот, это федор-овцы упоролись и решили выкинуть на мороз поддержку BIOS-железок.

Какая-то дешёвая попытка запудрить мозги пользователям. Шибко прогрессивная федора, с прогрессивностью аж через край перегибают.

Ответить | Правка | Наверх | Cообщить модератору

38. "Технический комитет отклонил план по прекращению поддержки B..."  +/
Сообщение от Аноним (-), 28-Апр-22, 00:42 
пользуясь случаем: есть ли преимущества использовать uefi в режиме bios legacy? для безопасности или еще чего-то
Ответить | Правка | Наверх | Cообщить модератору

42. "Технический комитет отклонил план по прекращению поддержки B..."  +/
Сообщение от Аноним (37), 28-Апр-22, 02:37 
> пользуясь случаем: есть ли преимущества использовать uefi в режиме bios legacy? для
> безопасности или еще чего-то

По не только моему мнению, UEFI это вообще не про безопасность, если конечно не наматывать на уши маркетинговый булщит.
Кому-то удобно переключаться между ОС и загрузаться с помощью UEFI.

Использую средства GRUB для загрузки даже на UEFI-системах, брат жив, а главное нет этой тупизны с инородным fat32-разделом, который для каждого дистра нужен своих параметров, даже здесь наркоманы договориться не могут.

Ну, разве что, в федорке могут это дело сломать в поддержке и не будет никаких legacy в итоге.
Но, как я понял, если равняться на федорку, надо держать железо, такое же, как у наркотов-разрабов, потому что, у них стройкие прогрессирующие болезни, с синдромами: "УМВР, а остальное ниипёт!" и "мне нинужна, значит остальным нинужна!"

Ответить | Правка | Наверх | Cообщить модератору

44. "Технический комитет отклонил план по прекращению поддержки B..."  –2 +/
Сообщение от dalco (ok), 28-Апр-22, 05:01 
>    Но, как я понял, если равняться на федорку, надо держать железо, такое же, как у наркотов-разрабов, потому что, у них стройкие прогрессирующие болезни, с синдромами: "УМВР, а остальное ниипёт!" и "мне нинужна, значит остальным нинужна!"

  Не совсем так. Да, такие предложения проскакивают постоянно. Но, к счастью, быстро блокируются более адекватными членами команды.
Примерно как в Госдуме - законопроект могут выдвинуть любой, даже самый идиотский, но, как правило, его тут же завернут в мусорную корзину.

P.S. У меня на одном из компов ещё древний CoreQuad стоит, так там вполне себе Fedora пашет. И да, там честный Award BIOS v 4.51PG :)

Ответить | Правка | Наверх | Cообщить модератору

45. "Технический комитет отклонил план по прекращению поддержки B..."  +/
Сообщение от Аноним (45), 28-Апр-22, 07:17 
> У меня на одном из компов ещё древний CoreQuad стоит

У меня на десятке компов Pentium 4 стоит, и на них нормально (= выполняет свои функции) Xubuntu стоит.

Ответить | Правка | Наверх | Cообщить модератору

64. "Технический комитет отклонил план по прекращению поддержки B..."  +/
Сообщение от dalco (ok), 28-Апр-22, 16:06 
Ну, если там на мамках кондёры ещё не вспухли, то почему бы и нет?
Ответить | Правка | Наверх | Cообщить модератору

68. "Технический комитет отклонил план по прекращению поддержки B..."  +/
Сообщение от пох. (?), 28-Апр-22, 19:41 
Потому что жрет даже больше чем rpi1, при меньших возможностях.
И использует софт, оставшийся без обновлений 20 лет назад.

У меня вон лежат под столом аж три тулатина. Один требует замены пары конденсаторов, ничего сложного, это еще не высокотемпературные припои. Остальные вообще в идеальном состоянии.

Но зачем?

Ответить | Правка | Наверх | Cообщить модератору

69. "Технический комитет отклонил план по прекращению поддержки B..."  +/
Сообщение от Аноним (69), 28-Апр-22, 19:45 
> У меня вон лежат под столом аж три тулатина.
> Но зачем?

Через год может оказаться, что в России они стоят космических денег.

Ответить | Правка | Наверх | Cообщить модератору

84. "Технический комитет отклонил план по прекращению поддержки B..."  +/
Сообщение от пох. (?), 30-Апр-22, 17:27 
> Через год может оказаться, что в России они стоят космических денег.

Я надеюсь через год как-нибудь все же оказаться вне России - деньги нельзя есть. К сожалению их нельзя будет забрать с собой.

P.S. сегодняшние достижения ан@л0г0внетной экономики - в аптеках нет раствора глюкозы "давно"(c)провизор, рингера - недавно. Даже водичку с солью тут производили из иностранных компонент.

Надеюсь не надо тебе объяснять что с тобой будет, если ты заболеешь так что понадобиться капельница?

Ответить | Правка | Наверх | Cообщить модератору

50. "Технический комитет отклонил план по прекращению поддержки B..."  +1 +/
Сообщение от Аноним (50), 28-Апр-22, 09:37 
>  а главное нет этой тупизны с инородным fat32-разделом, который для каждого дистра нужен своих параметров, даже здесь наркоманы договориться не могут.

А какие ещё особые параметры нужны разным дистрам? И чем он инороднее кода в первом секторе?

Ответить | Правка | К родителю #42 | Наверх | Cообщить модератору

67. "Технический комитет отклонил план по прекращению поддержки B..."  +1 +/
Сообщение от пох. (?), 28-Апр-22, 18:08 
> пользуясь случаем: есть ли преимущества использовать uefi в режиме bios legacy?

ни малейшего

> для безопасности или еще чего-то

никакой безопасности исполнение эмулятора dos mode поверх стека uefi (внезапно, это ТАК устроено) не дает.

А вот очередной апгрейд федоры, как видишь, может ненароком тебе все поломать.

Ответить | Правка | К родителю #38 | Наверх | Cообщить модератору

43. "Технический комитет отклонил план по прекращению поддержки B..."  –2 +/
Сообщение от iPony129412 (?), 28-Апр-22, 04:36 
Поздравляю луддитов.
Вам повезло, что в виртуализации EFI не особо в почёте.
Ответить | Правка | Наверх | Cообщить модератору

48. "Технический комитет отклонил план по прекращению поддержки B..."  +/
Сообщение от ryoken (ok), 28-Апр-22, 07:54 
>>в виртуализации EFI не особо в почёте.

А вот это можно немножечко поподробнее? С целью повышения уровня образованности..?

Ответить | Правка | Наверх | Cообщить модератору

52. "Технический комитет отклонил план по прекращению поддержки B..."  –2 +/
Сообщение от Аноним (52), 28-Апр-22, 11:05 
Не считают нужным тратить ресурсы на эмуляцию еще и этой подсистемы?
Но, если не путаю, то при пробросе физических видеокарт и т.п. - все-равно приходится уефи в настройках виртуалок включать((
Ответить | Правка | Наверх | Cообщить модератору

62. "Технический комитет отклонил план по прекращению поддержки B..."  +1 +/
Сообщение от SayCheeseOrDieemail (?), 28-Апр-22, 13:56 
Имеете в виду IOMMU, как полагаю.

Активно используется для виртуализации, но сам по себе контроллер, как и включаемая опция, никакого отношения к виртуализации не имеют.

Рекомендую прочитать про то, что это и как работает, при помощи глаз. Рабочая схема, многим помогает.

Ответить | Правка | Наверх | Cообщить модератору

63. "Технический комитет отклонил план по прекращению поддержки B..."  +/
Сообщение от Аноним (52), 28-Апр-22, 15:41 
Да iommu, напрямую может быть уефи не нужно, но какой-то побочный вопрос всё таки был, мне пришлось сконвертить виртуалку под уефи. Зря бы я этим не страдал, но не помню деталей, к сожалению(( давно было, может руки кривые
Ответить | Правка | Наверх | Cообщить модератору

59. "Технический комитет отклонил план по прекращению поддержки B..."  +/
Сообщение от пох. (?), 28-Апр-22, 13:28 
> Поздравляю луддитов.
> Вам повезло, что в виртуализации EFI не особо в почёте.

просто заплати за апгрейд лицензии. У vsphere7 все ок.
hyper-v как всегда тормозит.

P.S. а freebsd'шный пихайв ВООБЩЕ на не-efi загружается только через ректальные костыли и свечи.

Ответить | Правка | К родителю #43 | Наверх | Cообщить модератору

61. "Технический комитет отклонил план по прекращению поддержки B..."  +/
Сообщение от iPony129412 (?), 28-Апр-22, 13:50 
> Облачные провайдеры-то все поголовно на BIOS сидят. Я ни одного не знаю, кто бы предлагал виртуалки с UEFI (разве что GCP, наверное, у них же там безопасность во все поля, и UEFI c TPM/секурбутом наверное тоже есть).

Цитата с ЛОР

Ответить | Правка | Наверх | Cообщить модератору

66. "Технический комитет отклонил план по прекращению поддержки B..."  +/
Сообщение от пох. (?), 28-Апр-22, 18:01 
>> Облачные провайдеры-то все поголовно на BIOS сидят. Я ни одного не знаю, кто бы предлагал

ну так их инфраструктуре сколько лет-то уже? Ее переделывать будут доооолго.

>> виртуалки с UEFI

подозреваю, так может aruba (поскольку это vmware и им это ничего не стоит) и, скорее всего - MS

остальным предстоит увлекательнейший траходром по подсовыванию пресловутых tianocore'вых блобов в свои конфигурации - других-то вариантов c uefi на халяву не просматривается.


Ответить | Правка | Наверх | Cообщить модератору

71. "Технический комитет отклонил план по прекращению поддержки B..."  +/
Сообщение от анончик (?), 28-Апр-22, 21:31 
у aws можно включить для x86 инстансов, но не для всех и довольно костыльным способом, но можно, разве что без секьюр-бута. на арме(гравитон или как эта шляпа называется) у них изначально uefi. azure умеет с тех пор как пару лет назад gen2 вмки запилили, ну это и логично потому что обычный hyperv в него умеет.

крч, все три основных провайдора умеют, хоть и с нюансами. опенстек свежий тоже умеет, так что в общем-то можно готовиться выбрасывать 😁

Ответить | Правка | Наверх | Cообщить модератору

85. "Технический комитет отклонил план по прекращению поддержки B..."  +/
Сообщение от пох. (?), 30-Апр-22, 17:29 
> у aws можно включить для x86 инстансов, но не для всех и

ну то есть и тут, как выясняется, все вполне уже модно и современно (зачем secure boot на виртуалке, действительно, неочевидно)

> крч, все три основных провайдора умеют, хоть и с нюансами. опенстек свежий
> тоже умеет, так что в общем-то можно готовиться выбрасывать 😁

В общем-то уж точно не то о чем стоило плакать, особенно в дистрибутиве со сроком жизни четыре месяца.

Ответить | Правка | Наверх | Cообщить модератору

75. "Технический комитет отклонил план по прекращению поддержки B..."  +/
Сообщение от Аноним (75), 29-Апр-22, 09:09 
Всего лишь разница ставить пакет grub-efi или grup-pc
Один пакет дополнительно лень смузихлебам
Ответить | Правка | Наверх | Cообщить модератору

79. "Технический комитет отклонил план по прекращению поддержки B..."  +/
Сообщение от n00by (ok), 29-Апр-22, 11:28 
В systemd же включили gummyboot как составную часть.
Ответить | Правка | Наверх | Cообщить модератору

Архив | Удалить

Рекомендовать для помещения в FAQ | Индекс форумов | Темы | Пред. тема | След. тема




Спонсоры:
PostgresPro
Inferno Solutions
Hosting by Hoster.ru
Хостинг:

Закладки на сайте
Проследить за страницей
Created 1996-2022 by Maxim Chirkov
Добавить, Поддержать, Вебмастеру